## regina-normal 7.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 INCLUDE( ReginaMacros )
 
 # Version
-SET (PACKAGE_VERSION 7.3)
+SET (PACKAGE_VERSION 7.3.1)
 SET (SNAPPY_VERSION 2.8)
 SET (PACKAGE_STRING "${PACKAGE_PRETTY_NAME} ${PACKAGE_VERSION}")
 
@@ -270,7 +270,7 @@
 # Note that pkg-config is optional, but it does help us find some libraries
 # that we could perhaps not have found otherwise.
 # In particular, most build environments will need it to locate Graphviz.
-FIND_PACKAGE(PkgConfig)
+FIND_PACKAGE(PkgConfig QUIET)
 
 FIND_PACKAGE(ZLIB)
 INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
@@ -319,6 +319,16 @@
   "Essential: JSON support"
   "http://www.digip.org/jansson/"
   TRUE)
+
+IF (NOT DISABLE_UTILS)
+  FIND_PACKAGE(POPT)
+  MACRO_LOG_FEATURE(POPT_FOUND
+    "Popt"
+    "Required for Regina's command-line utilities"
+    "http://rpm5.org/files/popt/"
+    TRUE ""
+    "To disable the command-line utilities, run: cmake -DDISABLE_UTILS=1")
+ENDIF (NOT DISABLE_UTILS)
 
 IF (NOT DISABLE_PYTHON)
   MESSAGE (STATUS "Searching for a Python installation")
@@ -331,10 +341,3 @@
   IF (Python_EXECUTABLE)
     IF(${CMAKE_VERSION} VERSION_LESS "3.16.0")
       UNSET(Python_EXECUTABLE CACHE)
-      MESSAGE(FATAL_ERROR "The Python_EXECUTABLE setting only works with CMake 3.16 and above. For now please either upgrade your CMake, or else remove (or temporarily hide) any conflicting Python installations so that the automated tools can find the correct Python without assistance.")
-    ENDIF(${CMAKE_VERSION} VERSION_LESS "3.16.0")
-  ENDIF (Python_EXECUTABLE)
-
-  # Note: FindPython prioritises Python 3 (which is what we want also).
-  FIND_PACKAGE(Python COMPONENTS Interpreter Development REQUIRED)
-
