=== python/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/python/pybind11_v${REGINA_PYBIND11_VERSION}")
+
 SET ( SOURCES modulemain.cpp )
 ADD_SUBDIRECTORY("algebra")
 ADD_SUBDIRECTORY("angle")
