=== debian/changelog ===
regina-normal (7.3.1-3) unstable; urgency=low

  * Update the previous doxygen patch, since it appears the relevant change
    (modules -> topics) happened in doxygen 1.9.8, not doxygen 1.10.

 -- Ben Burton <bab@debian.org>  Wed, 23 Jul 2025 22:01:29 +1000

regina-normal (7.3.1-2) unstable; urgency=low

  * Fix the fact that GNOME does not recognise the GUI when it is running,
    which was causing a generic icon and window name to appear in the dock.
  * Added some compatibility patches from upstream to support graphviz >= 13
    and doxygen >= 1.10.

 -- Ben Burton <bab@debian.org>  Wed, 23 Jul 2025 11:31:50 +1000

regina-normal (7.3.1-1) unstable; urgency=low

  * New upstream release.
  * Now builds under gcc-13 (closes: #1037840).

 -- Ben Burton <bab@debian.org>  Tue, 08 Jul 2025 21:37:45 +1000
