=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
     libqt6svg6-dev,
     libtokyocabinet-dev,
     libxml2-dev,
-    pkg-config,
+    pkgconf,
     python3-dev,
     qt6-base-dev,
     shared-mime-info,
@@ -28,6 +28,7 @@
 
 Package: regina-normal
 Architecture: any
+Multi-Arch: no
 Section: math
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
@@ -35,7 +36,7 @@
     ${perl:Depends},
     ${python3:Depends},
     ${misc:Depends}
-Recommends: regina-normal-doc (>= 7.3-0), evince | pdf-viewer
+Recommends: regina-normal-doc (>= 7.3.1-0), evince | pdf-viewer
 Suggests: regina-normal-dev, gap
 Description: mathematical software for low-dimensional topology
  Regina is a software package for 3-manifold and 4-manifold topologists,
@@ -59,6 +60,7 @@
 
 Package: regina-normal-dev
 Architecture: any
+Multi-Arch: no
 Section: libdevel
 Depends:
     regina-normal (= ${binary:Version}),
@@ -82,6 +84,7 @@
 
 Package: regina-normal-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
